config/routes.rb
Rails.application.routes.draw do
  devise_for :usuarios
  root to: 'painel#index'

  resources :alunos
  resources :livros
  resources :materias
  resources :cursos
  resources :semestres
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/usuario.rb
class Usuario < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/views/usuarios/shared/_links.html.erb
<%- if controller_name != 'sessions' %>
  <%= link_to t('.log_in', :default=> t('devise.helpers.submit.log_in')), new_session_path(resource_name) %><br/>
<% end -%>

<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to t('.sign_up', :default=> t('devise.helpers.submit.sign_up')), new_registration_path(resource_name) %><br/>
<% end -%>

<%- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations' %>
  <%= link_to t('.forgot_you_password', :default=> t('devise.helpers.submit.forgot_you_password')), new_password_path(resource_name) %><br/>
<% end -%>

<%- if devise_mapping.confirmable? && controller_name != 'confirmations' %>
  <%= link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name) %><br/>
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name) %><br/>
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider) %><br/>
  <% end -%>
<% end -%>